Subject: bug#54696: 29.0.50; pageup pagedown with pixel-scroll-precision-mode different behavior

From: Po Lu <[email-masked]>
Date: Wed, 06 Apr 2022 08:47:08 +0800

Markus Kopp <[email-masked]> writes:

> If I enable the pixel-scroll-precision-mode the page up and page down
> keys function differently. I am using CUA mode so the cursor will move
> to the beginning or end of the buffer even when there is less space to
> move a whole screen this was not happening anymore. So it looks like
> pixel-scroll is not checking if CUA mode is active or not.
>
> I changed the pageup and pagedown code in pixel-scroll.el to use
> cua-scroll-up and cua-scroll-down instead of scroll-up and scroll-down
> in line 806 and 813.

Thanks, that's my mistake.  Your change touches less than 15 lines of
code, so it normally doesn't require copyright assignment, but I have to
know if you've previously contributed any code under the 15 line waver.